Summary: Daemon that provides on demand IP links via SLIP or PPP.
Name: diald16
Version: 0.16.5a
Release: 2
Source0: ftp://ftp.pht.com/.3/sunsite/Incoming/diald-0.16.tar.gz
Source1: diald-config+scripts.tar.gz
Patch0: diald-patch-0.16.5
Patch1: dctrl.patch
Patch2: diald-0.16.5-updelay.patch
Patch3: diald-0.16-tweaks.patch
Buildroot: /var//tmp/diald-0.16
Copyright: Freely distributable (see LICENSE)
Group: Networking/Daemons
Requires: ppp
Obsoletes: diald


%package config
Summary: Configuration files for diald
Group: Networking/Daemons
Obsoletes: diald-config

%description
This is a package of the stable diald-0.16-5a by Eric Schenk.  Diald has
a new maintainer, and is now  appearing as diald-0.98 or later,   This package
is renamed to diald16 so it will be available until a stable new diald-1.0
is released.


The purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device
which stands in for the physical connection to a remote site. It then
monitors the proxy, waiting for packets to arrive. When interesting
packets arrive it will attempt to establish the physical link to the
remote site using either SLIP or PPP, and if it succeeds it will forward
traffic from the proxy to the physical link. As well, diald will monitor
traffic once the physical link is up, and when it has determined that the
link is idle, the remote connection is terminated. The criteria for
bringing the link up and taking it down are configurable at run time, and
are based upon the type of traffic passing over the link. 
Kudos to: Karl O. Pinc -- The Meme Factory, Inc  http://www.meme.com

This release includes an important patch for dctrl (the diald graphical control 
utility) that is taken from diald-0.16.4, but omitted in diald-0.16.5 (thanks
to Luca Olivetti for diagnosing the "too fast" dctrl problem in diald-0.16.5).  
This package is otherwise identical to diald-0.16.5-201.


%description config 
These area a set of generic configuration files
for diald that live in the /etc/diald directory.  If you have already 
installed diald, do not install as they will move your current config files.

%prep
%setup -n diald-0.16 -b 0 -a 1

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make depend
make

%install
rm -f -r $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -rp contrib $RPM_BUILD_ROOT/usr/lib/diald
# The call-logging stuff bums up the RPM by causing perl to be required!
rm -fr $RPM_BUILD_ROOT/usr/lib/diald/contrib/logger
mkdir -p $RPM_BUILD_ROOT/etc/diald
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 700 -o root -g root contrib/plain/connect $RPM_BUILD_ROOT/etc/diald
install -m 644 -o root -g root contrib/plain/diald.conf $RPM_BUILD_ROOT/etc/diald
install -m 644 -o root -g root contrib/plain/diald.defs $RPM_BUILD_ROOT/etc/diald
install -m 644 -o root -g root contrib/plain/phone.filter $RPM_BUILD_ROOT/etc/diald
mknod -m 0660 $RPM_BUILD_ROOT/etc/diald/diald.ctl p
chown root.wheel $RPM_BUILD_ROOT/etc/diald/diald.ctl
install -m 755 -o root -g root contrib/plain/diald-on $RPM_BUILD_ROOT/usr/sbin
install -m 755 -o root -g root contrib/plain/diald-off $RPM_BUILD_ROOT/usr/sbin
install -m 755 -o root -g root contrib/plain/dialdc $RPM_BUILD_ROOT/usr/bin
install -m 755 contrib//plain/diald.init $RPM_BUILD_ROOT/etc/rc.d/init.d/diald
cd $RPM_BUILD_ROOT/etc/rc.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
# /sbin/ldconfig
# chkconfig --add diald
echo
echo "Please configure diald - look at /etc/diald/connect and"
echo "/etc/diald/diald.conf.  Test diald by using the dialdc command. After"
echo "that run ntsysv or chkconfig -add diald to start diald on boot."
echo

%preun
if [ $1 = 0 ] ; then
        chkconfig --del diald
fi

%files
/etc/diald/diald.ctl
%config /etc/rc.d/init.d/diald
/usr/sbin/diald
/usr/bin/dctrl
/usr/bin/dialdc
/usr/sbin/diald-on
/usr/sbin/diald-off
/usr/lib/diald
/usr/man/man8/diald.8
/usr/man/man1/dctrl.1
/usr/man/man5/diald-examples.5
/usr/man/man5/diald-control.5
/usr/man/man5/diald-monitor.5
%doc BUGS CHANGES LICENSE THANKS README doc/diald-faq.txt

%files config
%config /etc/diald/connect
%config /etc/diald/diald.defs
%config /etc/diald/diald.conf
%config /etc/diald/phone.filter

